package io.zipcoder.casino;

import org.junit.Assert;
import org.junit.Test;

import java.util.ArrayList;

public class HandTest {
    @Test
    public void testHand()
    {
        Card card = new Card(Suit.HEART,Rank.FIVE);
        Hand hand = new Hand(new ArrayList<>());

        hand.add(card);

        int expected = 5;
        int actual = hand.getValue();
        Assert.assertEquals(expected,actual);
    }
    @Test
    public void testHandSize()
    {
        Card card1 = new Card(Suit.HEART,Rank.THREE);
        Card card2 = new Card(Suit.CLUBS,Rank.FIVE);
        Card card3 = new Card(Suit.SPADES,Rank.FOUR);
        Card card = new Card(Suit.DIAMOND,Rank.TWO);

        Hand hand = new Hand(new ArrayList<>());

        hand.add(card);
        hand.add(card1);
        hand.add(card2);
        hand.add(card3);

        int expected =4;
        int actual = hand.size();

        Assert.assertEquals(expected,actual);
    }
    @Test
}
